% see Frhwirth-Schnatter (2001b) for details: Model likelihoods and Bayes factors for switching and mixture models. Technical Report 1999-71,
% revised version January 2001, Vienna University of Economics and Business Administration
L=1000; %number of simulations out of the proposal q density
%L=it-it0;  %all MCMC simulations 

[loglikq,loglikmc,priorq,priormc,qq,qmc] = mlbs_ql(y,x,e0,prsig,prbem,prbeinf,musima,betaysima,betamsima,sigsima,etasima,etapost,betapostm,betapostchol,igpost,loglika,it0,L);

MMCit0=0; %set greater than 0 if the sampler is not already stationary
[mllogbs, sdrel] = mlbs(loglikq,loglikmc,priorq,priormc,qq,qmc,MMCit0);
ergmiran=[mllogbs(1,1) sdrel(1) mllogbs(1,1)-5*sdrel(1) mllogbs(1,1)+5*sdrel(1)]; %importance
ergriran=[mllogbs(1,2) sdrel(2) mllogbs(1,2)-5*sdrel(2) mllogbs(1,2)+5*sdrel(2)]; %reciprocal imp.
ergbsran=[mllogbs(end,1) sdrel(3) mllogbs(end,1)-5*sdrel(3) mllogbs(end,1)+5*sdrel(3)];  %bridge
