function [mu,betay,betam,Zmat,par,bmean,bvar]=simparinfo3(y,Z,ylag,mlag,sst,sig,prbem,prbeinf,nst);


states=1:nst;
n=size(y,1);
npar=nst+ylag+mlag;
S=(sst(ones(1,nst),2:end)==states(ones(1,n),:)')';

w=(S*sig(ones(nst,1))).^(-1);
W=diag(w);
Zmat=[S Z(:,2:end)];
bvar=inv(Zmat'*W*Zmat+prbeinf);
bmean=bvar*(Zmat'*W*y+prbeinf*prbem);
par=bmean+ chol(bvar)'*randn(npar,1);
mu=par(1:nst);
betay=par(nst+1:nst+ylag);
betam=par(nst+ylag+1:end);
