function [lh, maxl] = likeli(y,Z,mu,betay,betam,sig);
% LIKELI likelihood (ohne kuerzen der normierungskonstnate)
% function call: lh = likeli(y,lmda)


nst=size(mu,1);
beta=[mu';betay(:,ones(1,nst));betam];
mvec=(Z*beta)';
llh = pnormlog(y,mvec,sig);
maxl = max(llh);
lh = exp(llh - maxl(ones(nst,1),:));

